Frame.Decoder (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport

## Class Frame.Decoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.ByteToMessageDecoder
      - - org.apache.cassandra.transport.Frame.Decoder

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler
  Enclosing class:
    Frame

      public static class Frame.Decoder
      extends io.netty.handler.codec.ByteToMessageDecoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class io.netty.handler.codec.ByteToMessageDecoder

      `io.netty.handler.codec.ByteToMessageDecoder.Cumulator`

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    - ### Fields inherited from class io.netty.handler.codec.ByteToMessageDecoder

      `COMPOSITE_CUMULATOR, MERGE_CUMULATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Decoder(Connection.Factory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf buffer, java.util.List<java.lang.Object> results)`

    - ### Methods inherited from class io.netty.handler.codec.ByteToMessageDecoder

      `actualReadableBytes, callDecode, channelInactive, channelRead, channelReadComplete, decodeLast, discardSomeReadBytes, handlerRemoved, handlerRemoved0, internalBuffer, isSingleDecode, setCumulator, setDiscardAfterReads, setSingleDecode, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerAdded, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded`

- - ### Constructor Detail

    - #### Decoder

          public Decoder(Connection.Factory factory)

  - ### Method Detail

    - #### decode

          protected void decode(io.netty.channel.ChannelHandlerContext ctx,
                                io.netty.buffer.ByteBuf buffer,
                                java.util.List<java.lang.Object> results)
                         throws java.lang.Exception

      Specified by:
        `decode` in class `io.netty.handler.codec.ByteToMessageDecoder`
      Throws:
        `java.lang.Exception`

Copyright © 2018 The Apache Software Foundation